Name: editra
Version: 0.7.20
Release: %mkrel 3
Summary: A developer's text editor

Group: Editors
License: GPLv2+
URL: http://editra.org/

Source0: http://editra.org/uploads/src/Editra-%{version}.tar.xz

BuildRequires: python-devel
BuildRequires: python-setuptools
BuildRequires: wxPythonGTK

Requires: wxPython
Requires: python
Requires: python-babel

%description
Editra is a cross-platform text editor with an implementation that
focuses on creating an easy to use interface and features that aid
in code development. Currently it supports syntax highlighting and
variety of other useful features for over 60 programming languages.

%description -l de
Editra ist ein Cross-Plattform-Text-Editor mit einer Implementierung,
konzentriert auf die Schaffung einer einfach zu bedienenden Oberfläche
Syntax-Hervorhebung wird unterstützt und eine Vielzahl von weiteren 
nützlichen Funktionen für über 60 Programmiersprachen.


%prep
%setup -qn Editra-%{version}

%build
%py2_build

%install
rm -rf $RPM_BUILD_ROOT
%py2_install -- --install-purelib=%{python2_sitearch}
chmod a+r %{buildroot}%{python2_sitearch}/*/*

%__mkdir -p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Editra
MimeType=text/plain;
GenericName=Editra
GenericName[es]=Editra
GenericName[de]=Editra
Comment=Text Editor
Comment[es]=Editor de Texto
Comment[de]=Texteditor
Exec=editra
Icon=/%{python_sitearch}/Editra/pixmaps/editra.png
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Editors;GTK;Development;TextEditor;
EOF

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{python_sitearch}/Editra-%{version}-py*.egg-info
%{python_sitearch}/Editra/*

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/Editra-%{version}

#-------------- changelog ----------------------------------------------

%changelog
* Tue Oct 08 2019 tex - 0.7.20-3pclos2019
- rebuild against updates

* Wed Mar 30 2016 bb <bb> 0.7.20-2pclos2016
- add req python-babel

* Fri Jan 03 2014 daniel <meisssw01 at gmail.com> 0.7.20-1free2014
- initial pkg
